//=============================================================================
//  MidiMountain main function
//============================================================================
// Author  : Adrian Meyer
// Version : 0.2.2
// Log     :
//=============================================================================
// to do   :
//=============================================================================

#include <mvcMain.h>
#include <gtk/gtk.h>
#include <string.h>
//#include "mcList.h"

int
main (int argc, char *argv[])
{
  gtk_set_locale ();
  gtk_init (&argc, &argv);

 	TMvcMain* mvcMain;


  FILE* fp = fopen( argv[1], "r");
  if ( fp != 0 )
  {
    fclose( fp );
  	mvcMain = new TMvcMain( argv[1] );
  }
  else
  {
    fp = fopen( "./midimountain.conf", "r");
    if ( fp != 0 )
    {
      fclose( fp );
    	mvcMain = new TMvcMain( "./midimountain.conf" );
    }
    else
    {
      cout << "usage: midimountain <configuration file>" << endl;
      return 1;
    }
  }

  gtk_main();

  return 0;
}