//=============================================================================
//  model view control song properties
//=============================================================================
// Author  : Adrian Meyer
// Version : 0.2.0
// Log     :
//=============================================================================
// 26.03.2000 building class
// 27.03.2000 adding dialog handling
//============================================================================
// to do   :
//=============================================================================
#include <gtk/gtk.h>

#include "glade_interface.h"
#include "glade_support.h"

#include <mvcBase.h>
#include <mcSequence.h>

#ifndef __MVCSONGPROPERTIES__
#define __MVCSONGPROPERTIES__
class TMvcSongProperties: public TMvcBase
{
  private:
    GtkWidget* wndSongProperties;                     // main window
    TMidiSequence* fSequence;                         // midi sequence
  public:
    TMvcSongProperties( TMidiSequence* aSequence );   // constructor
    ~TMvcSongProperties( );                           // destructor
    GtkWidget* GetWidget( void );                     // read widget
    void SetData( void );                             // set data to gui
    void GetData( void );                             // read data from gui
};
#endif