//=============================================================================
//  model view control TimeSignature properties
//=============================================================================
// Author  : Adrian Meyer
// Version : 0.2.0
// Log     :
//=============================================================================
// 12.09.2000 building class
//============================================================================
// to do   :
//=============================================================================
#include <gtk/gtk.h>

#include "glade_interface.h"
#include "glade_support.h"

#include <mvcBase.h>
#include <mcSequence.h>

#ifndef __MVCTIMESIGNATUREPROPERTIES__
#define __MVCTIMESIGNATUREPROPERTIES__
class TMvcTimeSignatureProperties: public TMvcBase
{
  private:
    GtkWidget* wndTimeSignatureProperties;            // main window

    TMidiSequence* fSequence;                         // midi sequence
    long fTimeSignatureID;                            // TimeSignature ID

  public:
                                                      // constructor
    TMvcTimeSignatureProperties( TMidiSequence* aSequence, long aTimeSignatureID );   
    ~TMvcTimeSignatureProperties( void );             // destructor

    GtkWidget* GetWidget( void );                     // read widget

    void SetData( void );                             // set data to gui
    void GetData( void );                             // read data from gui
};
#endif