//=============================================================================
//  model view control user snap properties
//=============================================================================
// Author  : Adrian Meyer
// Version : 0.2.0
// Log     :
//=============================================================================
// 20.02.2001 building class
// 21.02.2001 adding Get and SetData
//            add triplets
//=============================================================================
// to do   :
//=============================================================================
#include <gtk/gtk.h>

#include "glade_interface.h"
#include "glade_support.h"

#include <mvcBase.h>
#include <mcSequence.h>

#ifndef __MVCUSERSNAPPROPERTIES__
#define __MVCUSERSNAPPROPERTIES__
class TMvcUserSnapProperties: public TMvcBase
{
  private:
    GtkWidget* wndUserSnapProperties;                 // window
    TMidiSequence* fSequence;                         // sequence
    char* fText;																			// text of duration
  public:
    TMvcUserSnapProperties( TMidiSequence* aSequence );// constructor
    ~TMvcUserSnapProperties( );                       // destructor
    GtkWidget* GetWidget( void );                     // read widget
    void SetData( void );                             // set data to gui
    void GetData( void );                             // read data from gui
    char* GetText();                                  // read text of duration
                                                      // set duration with button
    void SetNoteValue( char* aButtonName );
};
#endif