#include <map>
#include <string>
using namespace std;

//change this if you expect to have huge lines in your INI files...
#define MAX_INI_LINE 500

// these typedefs just make the code a bit more readable
typedef map<string, string> INISection;
typedef map<string, INISection > INIFile;

string GetIniSetting(INIFile &theINI, const char *section, const char *key, const char *defaultval="");
void PutIniSetting(INIFile &theINI, const char *section, const char *key=NULL, const char *value="");
void SaveIni(INIFile &theINI, const char *filename);
INIFile LoadIni(const char *filename);

