//=============================================================================
//  model view control Input Box definition
//=============================================================================
// Author  : Adrian Meyer
// Version : 0.3.0
// Log     :
//=============================================================================
// 06.09.2001 building class
//=============================================================================
// to do   :
//=============================================================================

#include <gtk/gtk.h>
#include "glade_interface.h"
#include <mvcBase.h>

#ifndef __MVCINPUTBOX__
#define __MVCINPUTBOX__

class TMvcInputBox: TMvcBase
{
  private:
    GtkWidget* wndInputBox;

    short fResult;                                    // result of dialog
    char* fText;
  public:
    TMvcInputBox( void );                             // constructor
    ~TMvcInputBox( void );                            // destructor

    void SetResult( short aResult );                  // set result
    GtkWidget* GetWidget( void );                     // read main widget
                                                      // show dialog
    short Show( char* aTitel, char* aCaption, char* aDefault );
    char* GetText( void );                            // read result text
};

#endif