//=============================================================================
//  model view control Message Box definition
//=============================================================================
// Author  : Adrian Meyer
// Version : 0.2.1
// Log     :
//=============================================================================
// 22.03.2000 building class
// 23.03.2000 adding show
// 24.03.2000 adding button callbacks, focus on button
// 11.09.2000 resize callback
//=============================================================================
// to do   :  set message type and icon
//=============================================================================

#include <gtk/gtk.h>
#include "glade_interface.h"
#include <mvcBase.h>

class TMvcMessageBox: TMvcBase
{
  private:
    GtkWidget *wndMessageBox;
    GtkWidget *vboMain;
    GtkWidget *lblMessage;
    GtkWidget *sepMain;
    GtkWidget *hbuttonbox1;
    guint btnOK_key;
    GtkWidget *btnOK;
    guint btnCancel_key;
    GtkWidget *btnCancel;
    guint btnYes_key;
    GtkWidget *btnYes;
    guint btnNo_key;
    GtkWidget *btnNo;
    GtkAccelGroup *accel_group;
    
    short fResult;                                    // result of dialog
    void CreateMessageBox( void );                    // create the box

  public:
    TMvcMessageBox( void );                           // constructor
    ~TMvcMessageBox( void );                          // destructor

    void SetResult( short aResult );                  // set result
    GtkWidget* GetWidget( void );                     // read main widget
    void ResetWidget( void );                         // reset widget
                                                      // show dialog        
    short Show( char* aTitel, char* aMessage, short Buttons );
};