//=============================================================================
// model view control main view
//=============================================================================
#include <mvcPianoRoll.h>

/* Made with Gimp */
#define CursorPitch_width 16
#define CursorPitch_height 16
static char CursorPitch_bits[] = {
   0x00, 0x00, 0x80, 0x01, 0xc0, 0x03, 0xe0, 0x07, 0xf0, 0x0f, 0x80, 0x01,
   0x80, 0x01, 0x80, 0x01, 0x80, 0x01, 0x80, 0x01, 0x80, 0x01, 0xf0, 0x0f,
   0xe0, 0x07, 0xc0, 0x03, 0x80, 0x01, 0x00, 0x00 };

#define CursorPitchMask_width 16
#define CursorPitchMask_height 16
static char CursorPitchMask_bits[] = {
   0x80, 0x01, 0xc0, 0x03, 0xe0, 0x07, 0xf0, 0x0f, 0xf8, 0x1f, 0xf8, 0x1f,
   0xc0, 0x03, 0xc0, 0x03, 0xc0, 0x03, 0xc0, 0x03, 0xf8, 0x1f, 0xf8, 0x1f,
   0xf0, 0x0f, 0xe0, 0x07, 0xc0, 0x03, 0x80, 0x01 };

#define CursorMeasure_width 16
#define CursorMeasure_height 16
static char CursorMeasure_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x18, 0x18,
   0x1c, 0x38, 0xfe, 0x7f, 0xfe, 0x7f, 0x1c, 0x38, 0x18, 0x18, 0x10, 0x08,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };

#define CursorMeasureMask_width 16
#define CursorMeasureMask_height 16
static char CursorMeasureMask_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x0c, 0x38, 0x1c, 0x3c, 0x3c,
   0xfe, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x7f, 0x3c, 0x3c, 0x38, 0x1c,
   0x30, 0x0c, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };

#define CursorEdit_width 16
#define CursorEdit_height 16
static char CursorEdit_bits[] = {
   0x00, 0x00, 0x06, 0x00, 0x0e, 0x00, 0x1e, 0x00, 0x3e, 0x00, 0x7e, 0x00,
   0xfe, 0x00, 0x1e, 0x00, 0x36, 0x00, 0x32, 0x00, 0x60, 0x00, 0x60, 0x00,
   0xc0, 0x00, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00 };

#define CursorEditMask_width 16
#define CursorEditMask_height 16
static char CursorEditMask_bits[] = {
   0x07, 0x00, 0x0f, 0x00, 0x1f, 0x00, 0x3f, 0x00, 0x7f, 0x00, 0xff, 0x00,
   0xff, 0x01, 0xff, 0x01, 0x7f, 0x00, 0x7f, 0x00, 0xf3, 0x00, 0xf0, 0x00,
   0xe0, 0x01, 0xe0, 0x01, 0xc0, 0x00, 0x00, 0x00 };

#define CursorDelete_width 16
#define CursorDelete_height 16
static char CursorDelete_bits[] = {
   0x00, 0x00, 0x08, 0x00, 0x08, 0x00, 0x3e, 0x00, 0x08, 0x00, 0x08, 0x7f,
   0x80, 0x60, 0x40, 0x50, 0x20, 0x48, 0x10, 0x24, 0x08, 0x12, 0xfc, 0x09,
   0x04, 0x05, 0x04, 0x03, 0xfc, 0x01, 0x00, 0x00 };

#define CursorDeleteMask_width 16
#define CursorDeleteMask_height 16
static char CursorDeleteMask_bits[] = {
   0x1c, 0x00, 0x1c, 0x00, 0x7f, 0x00, 0x7f, 0x00, 0x7f, 0xff, 0x9c, 0xff,
   0xdc, 0xff, 0xe0, 0xff, 0xf0, 0xff, 0xf8, 0x7f, 0xfc, 0x3f, 0xfe, 0x1f,
   0xfe, 0x0f, 0xfe, 0x07, 0xfe, 0x03, 0xfe, 0x01 };

#define CursorDraw_width 16
#define CursorDraw_height 16
static char CursorDraw_bits[] = {
   0x00, 0x00, 0x02, 0x00, 0x06, 0x00, 0x0e, 0x00, 0x1e, 0x00, 0x26, 0x00,
   0x22, 0x00, 0x42, 0x00, 0x44, 0x00, 0x84, 0x00, 0x88, 0x00, 0x68, 0x01,
   0x10, 0x01, 0x90, 0x01, 0xe0, 0x00, 0x00, 0x00 };

#define CursorDrawMask_width 16
#define CursorDrawMask_height 16
static char CursorDrawMask_bits[] = {
   0x07, 0x00, 0x0f, 0x00, 0x1f, 0x00, 0x3f, 0x00, 0x7f, 0x00, 0x7f, 0x00,
   0xff, 0x00, 0xff, 0x00, 0xff, 0x01, 0xfe, 0x01, 0xfe, 0x03, 0xfc, 0x03,
   0xfc, 0x03, 0xf8, 0x03, 0xf8, 0x03, 0xf0, 0x01 };
// callbacks
void PianoRollTimeZoomChanged( GtkAdjustment *adjustment, gpointer user_data );
void PianoRollScroll( GtkAdjustment *adjustment, gpointer user_data );
bool PianoRollExposeHook( GtkWidget *widget, GdkEventExpose *event, gpointer user_data );
bool PianoRollScaleExposeHook( GtkWidget *widget, GdkEventExpose *event, gpointer user_data );
bool PianoRollVelocityExposeHook( GtkWidget *widget, GdkEventExpose *event, gpointer user_data );
bool PianoRollVelocityMouseDown( GtkWidget *widget, GdkEventButton *event, gpointer user_data);
bool PianoRollVelocityMouseUp( GtkWidget *widget, GdkEventButton *event, gpointer user_data);
bool PianoRollVelocityMouseMove( GtkWidget *widget, GdkEventMotion *event, gpointer user_data);
bool PianoRollVelocityLabelExposeHook( GtkWidget *widget, GdkEventExpose *event, gpointer user_data );
void PianoRollResetZoomClicked( GtkWidget* aWidget, gpointer user_data);
bool PianoRollControllerExposeHook( GtkWidget *widget, GdkEventExpose *event, gpointer user_data );

bool PianoRollMouseDown( GtkWidget *widget, GdkEventButton *event, gpointer user_data);
bool PianoRollMouseUp( GtkWidget *widget, GdkEventButton *event, gpointer user_data);
bool PianoRollMouseMove( GtkWidget *widget, GdkEventMotion *event, gpointer user_data);
void ViewUserSnapProperties( GtkWidget* aWidget, gpointer user_data );

static short cXMaxMeasureCount = 20;
static short cXMinMeasureCount = 2;
static short cXMinNotesCount = 18;
static short cCountMeasureTail = 5;

//=============================================================================
// constructor																				11.04.2000 Adrian Meyer
//=============================================================================
TMvcPianoRoll::TMvcPianoRoll( GtkWidget* aWidget, TMidiSequence* aSequence )
{
	fWidget = aWidget;
	AddChildrenToWidgetList( aWidget );                 // fetch widgets
	fSequence = aSequence;															// take sequence
	fWidth = 0;
	fHeight = 0;
	fTicksPerPix = 0;
	fWindowWidth = 0;
	fBufferPianoRoll = 0;
	fBufferPianoRollScale = 0;
  fBufferPianoRollVelocity = 0;
  fBufferPianoRollController = 0;
  fBufferPianoRollVelocityLabel = 0;
  fVelocityDrawPointList = 0;
  fVelocityDisplayList = 0;
	fSelectionOperation = PR_NONE;
	fEventList = 0;
	fControllerList = 0;
	fSelectedEvent = 0;
  fMouseDownVelocity = false;

  drwPianoRollMain = FindWidget( "drwPianoRollMain" );// very much used widgets

																											// main adjustments
	fXAdjustment = gtk_range_get_adjustment( GTK_RANGE( FindWidget( "scrPianoRollMainX" )));
	fYAdjustment = gtk_range_get_adjustment( GTK_RANGE( FindWidget( "scrPianoRollMainY" )));

	gtk_range_set_adjustment( GTK_RANGE( FindWidget( "scrPianoRollControllerX" )), fXAdjustment );

	fHeader = new TMvcHeader ( FindWidget( "drwPianoRollHeader" ), fSequence, fXAdjustment );

	gtk_signal_connect(	GTK_OBJECT( gtk_range_get_adjustment( GTK_RANGE(
			FindWidget(	"sclPianoRollTimeZoom" )))),	"value-changed",
				GTK_SIGNAL_FUNC( PianoRollTimeZoomChanged ),	this );

	gtk_signal_connect(	GTK_OBJECT( gtk_range_get_adjustment( GTK_RANGE(
			FindWidget(	"sclPianoRollScaleZoom" )))),	"value-changed",
				GTK_SIGNAL_FUNC( PianoRollTimeZoomChanged ),	this );

  HookSignal( "drwPianoRollMain", "expose_event", GTK_SIGNAL_FUNC( PianoRollExposeHook ), this );
  HookSignal( "drwPianoRollScale", "expose_event", GTK_SIGNAL_FUNC( PianoRollScaleExposeHook ), this );
  HookSignal( "drwPianoRollVelocity", "expose_event", GTK_SIGNAL_FUNC( PianoRollVelocityExposeHook ), this );
  HookSignal( "drwPianoRollController", "expose_event", GTK_SIGNAL_FUNC( PianoRollControllerExposeHook ), this );
  HookSignal( "drwPianoRollVelocityLabel", "expose_event", GTK_SIGNAL_FUNC( PianoRollVelocityLabelExposeHook ), this );

  HookSignal( "drwPianoRollMain", "button_press_event", GTK_SIGNAL_FUNC( PianoRollMouseDown ), this );
  HookSignal( "drwPianoRollMain", "button_release_event",GTK_SIGNAL_FUNC( PianoRollMouseUp ), this );
  HookSignal( "drwPianoRollMain", "motion_notify_event", GTK_SIGNAL_FUNC( PianoRollMouseMove ), this );	

  HookSignal( "drwPianoRollVelocity", "button_press_event", GTK_SIGNAL_FUNC( PianoRollVelocityMouseDown ), this );
  HookSignal( "drwPianoRollVelocity", "button_release_event",GTK_SIGNAL_FUNC( PianoRollVelocityMouseUp ), this );
  HookSignal( "drwPianoRollVelocity", "motion_notify_event", GTK_SIGNAL_FUNC( PianoRollVelocityMouseMove ), this );	

  HookSignal( "btnPianoRollResetZoom", "clicked", GTK_SIGNAL_FUNC( PianoRollResetZoomClicked ), this );
  HookSignal( "rboPianoRollUserSnap", "clicked", GTK_SIGNAL_FUNC( ViewUserSnapProperties ), this );

	gtk_widget_add_events(                              // activate events main window
		drwPianoRollMain,
		GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK );

	gtk_widget_add_events(                              // activate events velocity
		FindWidget( "drwPianoRollVelocity" ),
		GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK );

	gtk_scrolled_window_set_hadjustment(								// synchronize main and header area
		GTK_SCROLLED_WINDOW( FindWidget( "scrPianoRollHeader" )), fXAdjustment );

	gtk_scrolled_window_set_vadjustment(								// synchronize main and scale area
		GTK_SCROLLED_WINDOW( FindWidget( "scrPianoRollScale" )), fYAdjustment );

	gtk_signal_connect(	GTK_OBJECT( fXAdjustment ),	"value-changed",
				GTK_SIGNAL_FUNC( PianoRollScroll ),	this );

	gtk_signal_connect(	GTK_OBJECT( fYAdjustment ),	"value-changed",
				GTK_SIGNAL_FUNC( PianoRollScroll ),	this );

	colBackground = new GdkColor;
	colBackground->red = 65535;	colBackground->green = 65535;	colBackground->blue = 65535;
	gdk_colormap_alloc_color( gtk_widget_get_colormap( drwPianoRollMain ),	
		colBackground, true, true );

	colGrid = new GdkColor;
	colGrid->red = 10000;	colGrid->green = 10000;	colGrid->blue = 10000;
	gdk_colormap_alloc_color( gtk_widget_get_colormap( drwPianoRollMain ),	
		colGrid, true, true );

	colSubGrid = new GdkColor;
	colSubGrid->red = 55000;	colSubGrid->green = 55000;	colSubGrid->blue = 55000;
	gdk_colormap_alloc_color( gtk_widget_get_colormap( drwPianoRollMain ),	
		colSubGrid, true, true );

	colMidi = new GdkColor;
	colMidi->red = 0;	colMidi->green = 0;	colMidi->blue = 32000;
	gdk_colormap_alloc_color( gtk_widget_get_colormap( drwPianoRollMain ),	
		colMidi, true, true );

	colEventSelection = new GdkColor;
	colEventSelection->red = 65535;	colEventSelection->green = 10000;	colEventSelection->blue = 10000;
	gdk_colormap_alloc_color( gtk_widget_get_colormap( drwPianoRollMain ),	
		colEventSelection, true, true );

	colHint = new GdkColor;
	colHint->red = 65535;	colHint->green = 65535;	colHint->blue = 55000;
	gdk_colormap_alloc_color( gtk_widget_get_colormap( drwPianoRollMain ),	
		colHint, true, true );


	colSelection = new GdkColor;
	colSelection->red = colBackground->red - 65535;
	colSelection->green = colBackground->green - 55000;
	colSelection->blue = colBackground->blue - 55000;
	gdk_colormap_alloc_color( gtk_widget_get_colormap( drwPianoRollMain ),	
		colSelection, true, true );

																											// create cursor
	GdkColor bg = { 0, 65535, 65535, 65535 }; GdkColor fg = { 0, 0, 0, 0 };
	GdkPixmap* source = gdk_bitmap_create_from_data (NULL, CursorPitch_bits, CursorPitch_width, CursorPitch_height );
	GdkPixmap* mask = gdk_bitmap_create_from_data (NULL, CursorPitchMask_bits, CursorPitchMask_width, CursorPitchMask_height);
	fPitchCursor = gdk_cursor_new_from_pixmap (source, mask, &fg, &bg, 8, 8);
	gdk_pixmap_unref (source);	gdk_pixmap_unref (mask);

	source = gdk_bitmap_create_from_data (NULL, CursorMeasure_bits, CursorMeasure_width, CursorMeasure_height );
	mask = gdk_bitmap_create_from_data (NULL, CursorMeasureMask_bits, CursorMeasureMask_width, CursorMeasureMask_height);
	fMeasureCursor = gdk_cursor_new_from_pixmap (source, mask, &fg, &bg, 8, 8);
	gdk_pixmap_unref (source);	gdk_pixmap_unref (mask);

	source = gdk_bitmap_create_from_data (NULL, CursorEdit_bits, CursorEdit_width, CursorEdit_height );
	mask = gdk_bitmap_create_from_data (NULL, CursorEditMask_bits, CursorEditMask_width, CursorEditMask_height);
	fEditCursor = gdk_cursor_new_from_pixmap (source, mask, &fg, &bg, 0, 0);
	gdk_pixmap_unref (source);	gdk_pixmap_unref (mask);

	source = gdk_bitmap_create_from_data (NULL, CursorDraw_bits, CursorDraw_width, CursorDraw_height );
	mask = gdk_bitmap_create_from_data (NULL, CursorDrawMask_bits, CursorDrawMask_width, CursorDrawMask_height);
	fDrawCursor = gdk_cursor_new_from_pixmap (source, mask, &fg, &bg, 1, 1);
	gdk_pixmap_unref (source);	gdk_pixmap_unref (mask);

	fControllerNames = 0;
	for ( int i = 0; i<128; i++ )											// add only numbers
	{
    char tmpStr[100];
		sprintf( tmpStr, "[%.3d]  %s", i, cControllerName[i] );
		char* tmpItem = new char[ strlen(tmpStr) +1 ];
		tmpItem[0] = 0;
		strcpy( tmpItem, tmpStr );
		fControllerNames = g_list_append( fControllerNames, tmpItem );
	}

	gtk_combo_set_popdown_strings( GTK_COMBO( FindWidget( "cboPianoRollController" )), fControllerNames );	
                                                      // set draw cursor on velocity window
}

//=============================================================================
// message from midi classes
// 01.09.2000 Adrian Meyer
//=============================================================================
void TMvcPianoRoll::MCMessage( TMidiBase* aMidiBase, sMCMessage* aMCMessage )
{
	switch ( aMCMessage->Message )
	{
		case cMMSequenceAddTrack:
		case cMMSequenceOpenFile:
		case cMMSequenceNew:
				Resize();
			break;

		case cMMSequenceSetSelectionStart:
		case cMMSequenceSetSelectionEnd:
				gtk_widget_queue_draw( drwPianoRollMain );
				gtk_widget_queue_draw( FindWidget( "drwPianoRollVelocity" ));
				gtk_widget_queue_draw( FindWidget( "drwPianoRollController" ));
			break;

		case cMMTrackSelect:
				gtk_widget_queue_draw( drwPianoRollMain );
				gtk_widget_queue_draw( FindWidget( "drwPianoRollVelocity" ));
				gtk_widget_queue_draw( FindWidget( "drwPianoRollController" ));
			break;

		case cMMSequenceSetGrid:
       gtk_label_set( GTK_LABEL( g_list_nth_data( gtk_container_children(
           GTK_CONTAINER( GTK_BUTTON(FindWidget( "rboPianoRollUserSnap" ))->child )), 0 )),
             fUserSnapProperties->GetText());
			break;
	}

	if ( fHeader != 0 ) { fHeader->MCMessage( aMidiBase, aMCMessage );}
}

//=============================================================================
// read widget																				11.04.2000 Adrian Meyer
//=============================================================================
GtkWidget* TMvcPianoRoll::GetWidget( void )
{
	return fWidget;
}

//=============================================================================
// build list with midi events
// 14.09.2000 Adrian Meyer
//=============================================================================
void TMvcPianoRoll::BuildEventList( void )
{
																											// boundries for events
	long tmpFromX = (int)( fTicksPerPix * (int)fXAdjustment->value );
	long tmpToX   = (int)( fTicksPerPix * ( fWindowWidth + (int)fXAdjustment->value ));
	long tmpFromY = (int)((fHeight - fYAdjustment->value - fWindowHeight ) / fPixPerNote );
	long tmpToY   = ( tmpFromY + (int)( fWindowHeight / fPixPerNote )) % 128 + 1;

	short tmpContollerNumber = 0;												// controller to display
	for ( unsigned int i = 0; i < g_list_length( fControllerNames ); i++ )
		if ( strcmp( (char*)g_list_nth_data( fControllerNames, i ),
			gtk_entry_get_text((GtkEntry*)FindWidget( "edtPianoRollController" ))) == 0 )
			{
				tmpContollerNumber = i;
				break;
			}					

	if ( fEventList != 0 )     												  // delete old event list
	{
		for ( long i=0; i<(int)g_list_length( fEventList ) ; i++ )
			{ delete (sPianoRollEventList*)g_list_nth_data( fEventList, i ); }
		g_list_free( fEventList );
		fEventList = 0;
	}

	if ( fControllerList != 0 )     										// delete old controller list
	{
		for ( long i=0; i<(int)g_list_length( fControllerList ) ; i++ )
			{ delete (sPianoRollControllerList*)g_list_nth_data( fControllerList, i ); }
		g_list_free( fControllerList );
		fControllerList = 0;
	}

	// backwards through tracks so the events of track closer to 1 will be on top
	for ( int i = fSequence->GetTrackCount() - 1; i>0; i-- )
	{																						        // midi track to work with
		TMidiTrack* tmpTrack = fSequence->GetTrack(i);

		if ( tmpTrack->GetSelected() )
		{
			TMidiEvent* tmpEvent = tmpTrack->GetEvent( 0 );


      while ( tmpEvent )
			{
				if ((((tmpEvent->GetData1())&0xF0) == cESNoteOn ||	// only notes On and off events
						((tmpEvent->GetData1())&0xF0 ) == cESNoteOff ) &&
						  tmpEvent->GetOffset() >= tmpFromX &&		// offset in range?
						  tmpEvent->GetOffset() <= tmpToX &&	
						  tmpEvent->GetData2() >= tmpFromY &&			// pitch in range?
						  tmpEvent->GetData2() <= tmpToY )
				{
					if ( !tmpEvent->GetNoteOff())       				// note on
					{
						sPianoRollEventList* tmpEventItem = new sPianoRollEventList;
  					tmpEventItem->Event = tmpEvent;
  					tmpEventItem->x1 = (int)(tmpEvent->GetOffset() / fTicksPerPix );
  					tmpEventItem->y1 = (int)(tmpEvent->GetData2() * fPixPerNote );
  					tmpEventItem->x2 = tmpEventItem->x1 + 1;		// default if no note off
  					tmpEventItem->y2 = (int)(tmpEvent->GetData2()+1 * fPixPerNote );
						tmpEventItem->Duration = 0;

  					if ( tmpEvent->Ref != 0 )									// note off event
  					{	
							tmpEventItem->x2 = (int)(tmpEvent->Ref->GetOffset() / fTicksPerPix );
							tmpEventItem->Duration = tmpEvent->Ref->GetOffset() - tmpEvent->GetOffset();
						}

  					fEventList = g_list_append( fEventList, tmpEventItem );
  				}
  			}
																											// contoller list
				if ( ((tmpEvent->GetData1())&0xF0) == cESControlChange &&
						  tmpEvent->GetOffset() >= tmpFromX &&		// offset in range?
						  tmpEvent->GetOffset() <= tmpToX &&
              tmpEvent->GetData2() == tmpContollerNumber ) // correct controller?
 				{
 					sPianoRollControllerList* tmpControllerItem = new sPianoRollControllerList;
 					tmpControllerItem->Event = tmpEvent;
 					tmpControllerItem->x = (int)(tmpEvent->GetOffset() / fTicksPerPix );
 					tmpControllerItem->y = (int)( fPixPerValue * ( 127 - tmpEvent->GetData3()) + 2 );
 					tmpControllerItem->Offset = 0; 							// storrage for draging
 					tmpControllerItem->Value = 0;             	// controller with mouse

 					fControllerList = g_list_append( fControllerList, tmpControllerItem );
				}

        tmpEvent = (TMidiEvent*)tmpEvent->Next;										// goto next event
			}
		}
	}
}

//=============================================================================
// set new with and height
// 05.09.2000 Adrian Meyer
//=============================================================================
void TMvcPianoRoll::Resize( void )
{
	if ( FindWidget( "vpoPianoRollMain" )->window == 0 ) {return;}

	gdk_window_set_cursor ( FindWidget( "drwPianoRollVelocity" )->window, fDrawCursor );

	long m; long b; long t;
	fSequence->GetMeasureBeatTick( fSequence->GetMaxOffset(), &m, &b, &t );
	long maxOffset = fSequence->GetOffset( m + 1, 1, 0 ) - 1 + fSequence->GetOffset( cCountMeasureTail + 1, 1, 0 ) - 1;
	long maxOffset20 = fSequence->GetOffset( cXMaxMeasureCount + 1, 1, 0 ) - 1;
	if ( maxOffset < maxOffset20 )											// set measure count
	{
		fMeasureCount = cXMaxMeasureCount;                // correct to max
	}
	else
	{
		long tmpBeat = 0;	long tmpTick = 0;								// more than max
		fSequence->GetMeasureBeatTick( fSequence->GetMaxOffset(),
			&fMeasureCount, &tmpBeat, &tmpTick );		
	}

	maxOffset = 0;
	for ( int i=1; i<=fMeasureCount; i++ )
	{
		long tmpBeatCount; long tmpTicksPerBeat;
  	fSequence->GetTimeInformation( i, &tmpBeatCount, &tmpTicksPerBeat );
		maxOffset += tmpBeatCount * tmpTicksPerBeat;
	}	

	long minOffset = fSequence->GetOffset( cXMinMeasureCount + 1, 1, 0 ) - 1;
  long tmpZoomFactorTime = (int)gtk_range_get_adjustment( GTK_RANGE( FindWidget(	"sclPianoRollTimeZoom" )))->value;
  long tmpZoomFactorScale = (int)gtk_range_get_adjustment( GTK_RANGE( FindWidget(	"sclPianoRollScaleZoom" )))->value;

																											// width of viewable area
	gdk_window_get_size( FindWidget( "vpoPianoRollVelocityLabel" )->window, &fWindowWidth, &fWindowVelocityHeight );
	gdk_window_get_size( FindWidget( "vpoPianoRollMain" )->window, &fWindowWidth, &fWindowHeight );
	fWindowWidth -= 1;          												// correct border width
  fWindowHeight -= 4;
  fWindowVelocityHeight -= 4;	

	float tmpNotesInWindow = (( 128 - cXMinNotesCount )/ 99.00 ) * ( tmpZoomFactorScale - 1 ) + cXMinNotesCount;
	fPixPerNote = fWindowHeight / (int)tmpNotesInWindow;
	fPixPerValue = ( fWindowVelocityHeight - 5 ) / 127.0;
	fHeight = (int)( 128 * fPixPerNote);
																											// calculate tix in window
	float tmpTicksInWindow = (( maxOffset20 - minOffset) / 99.00) * (tmpZoomFactorTime-1) + minOffset;
  fTicksPerPix = tmpTicksInWindow / fWindowWidth;			// get tixperpix
	fWidth = (int)(maxOffset / fTicksPerPix);

	long tmpWidth = FindWidget( "drwPianoRollScale" )->allocation.width;

	gtk_drawing_area_size( GTK_DRAWING_AREA( drwPianoRollMain ), fWindowWidth, fWindowHeight );
	gtk_drawing_area_size( GTK_DRAWING_AREA( FindWidget( "drwPianoRollScale" )), tmpWidth, fHeight );
	gtk_drawing_area_size( GTK_DRAWING_AREA( FindWidget( "drwPianoRollVelocity" )), fWindowWidth, fWindowVelocityHeight );
	gtk_drawing_area_size( GTK_DRAWING_AREA( FindWidget( "drwPianoRollController" )), fWindowWidth, fWindowVelocityHeight );
	gtk_drawing_area_size( GTK_DRAWING_AREA( FindWidget( "drwPianoRollVelocityLabel" )), tmpWidth, fWindowVelocityHeight );

	fXAdjustment->upper = fWidth;
	fYAdjustment->upper = fHeight;

	if ( fBufferPianoRoll != 0 ) { gdk_pixmap_unref( fBufferPianoRoll ); }
	if ( fBufferPianoRollScale != 0 ) { gdk_pixmap_unref( fBufferPianoRollScale ); }
	if ( fBufferPianoRollVelocity != 0 ) { gdk_pixmap_unref( fBufferPianoRollVelocity ); }
	if ( fBufferPianoRollController != 0 ) { gdk_pixmap_unref( fBufferPianoRollController ); }
	if ( fBufferPianoRollVelocityLabel != 0 ) { gdk_pixmap_unref( fBufferPianoRollVelocityLabel ); }

	fBufferPianoRoll = gdk_pixmap_new( drwPianoRollMain->window, fWindowWidth, fWindowHeight, -1 );
	fBufferPianoRollScale = gdk_pixmap_new( FindWidget( "drwPianoRollScale" )->window, tmpWidth, fHeight, -1 );
	fBufferPianoRollVelocity = gdk_pixmap_new( FindWidget( "drwPianoRollVelocity" )->window, fWindowWidth, fWindowVelocityHeight, - 1 );
	fBufferPianoRollController = gdk_pixmap_new( FindWidget( "drwPianoRollController" )->window, fWindowWidth, fWindowVelocityHeight, - 1 );
	fBufferPianoRollVelocityLabel = gdk_pixmap_new( FindWidget( "drwPianoRollVelocityLabel" )->window, tmpWidth, fWindowVelocityHeight, -1 );

	if ( fHeader != 0 )	                                // resize header
	{	fHeader->Resize( fWidth, fTicksPerPix, fWindowWidth, fMeasureCount + cCountMeasureTail ); }
}

//=============================================================================
// redraw area
// 05.09.2000 Adrian Meyer
//=============================================================================
bool TMvcPianoRoll::PianoRollExpose( GtkWidget* aWidget, GdkEventExpose* aEvent )
{
	if ( fBufferPianoRoll == 0 )												// no window yet
	{
		Resize();                                         // try setting it
		if ( fBufferPianoRoll == 0 ) {	return false; }
	}
	BuildEventList();

	int tmpWindowWidth, tmpWindowHeight;								// new window size???
	gdk_window_get_size( FindWidget( "vpoPianoRollMain" )->window, &tmpWindowWidth, &tmpWindowHeight );
	tmpWindowWidth -= 1; tmpWindowHeight -= 4;					// correct border width

	if ( tmpWindowHeight < 145 )												// set min size
		gtk_paned_set_position( (GtkPaned*)FindWidget( "panPianoRoll" ), 185 );

	if ( tmpWindowWidth != fWindowWidth || tmpWindowHeight != fWindowHeight )	Resize();

	GdkGC* tmpGC = gdk_gc_new( aWidget->window );				// new graphic context
	gdk_gc_copy( tmpGC, aWidget->style->fg_gc[aWidget->state] );

	GdkDrawable* tmpWnd = aWidget->window;							// window to draw to

	long tmpFromX = (int)fXAdjustment->value;						// draw from (top left corner)					
	long tmpFromY = (int)fYAdjustment->value;											

	gdk_gc_set_foreground( tmpGC, colBackground );			// draw background
	gdk_draw_rectangle( fBufferPianoRoll, tmpGC, TRUE,	0, 0, fWidth, fHeight );

	gdk_gc_set_foreground( tmpGC, colGrid );						// draw grid
	gdk_gc_set_line_attributes( tmpGC, 0, GDK_LINE_SOLID, GDK_CAP_NOT_LAST, GDK_JOIN_MITER );

  for ( int i = 0; i<128; i++ )
	{	
		gdk_draw_line( fBufferPianoRoll, tmpGC, 1,
			(int)(i*fPixPerNote)-tmpFromY, fWidth, (int)(i*fPixPerNote)-tmpFromY );
	}

	for ( long i=1; i<=fMeasureCount + cCountMeasureTail; i++ )
	{
		long tmpBeatCount;
		long tmpTicksPerBeat;
		long x = (long)(fSequence->GetOffset( i, 1, 0 ) / fTicksPerPix);

		fSequence->GetTimeInformation( i, &tmpBeatCount, &tmpTicksPerBeat );

		for ( long j=0; j<tmpBeatCount; j++ )
		{
			long tmpx = (long)(x + (( j*tmpTicksPerBeat ) / fTicksPerPix ));
			
			if ( tmpx >= tmpFromX && tmpx <= ( tmpFromX+fWindowWidth ) )
			{
  			gdk_gc_set_foreground( tmpGC, colSubGrid );						// draw grid
  			gdk_draw_line( fBufferPianoRoll, tmpGC, tmpx-tmpFromX, 1, tmpx-tmpFromX, fHeight );
			}
		}

		if ( x >= tmpFromX && x <= ( tmpFromX+fWindowWidth ) )
		{
  		gdk_gc_set_foreground( tmpGC, colGrid );						// draw grid
  		gdk_draw_line( fBufferPianoRoll, tmpGC, x-tmpFromX, 1, x-tmpFromX, fHeight );
		}
	}

	gdk_gc_set_line_attributes( tmpGC, 1, GDK_LINE_SOLID, GDK_CAP_NOT_LAST, GDK_JOIN_MITER );
	gdk_gc_set_foreground( tmpGC, colMidi );

	if ( fEventList != 0 )
	{
		for ( long i = 0; i<(int)g_list_length( fEventList ); i++ )
		{
			sPianoRollEventList* tmpDisplayEvent = (sPianoRollEventList*)g_list_nth_data( fEventList, i );

			long tmpx1 = tmpDisplayEvent->x1 - tmpFromX;
			long tmpy1 = (int)(( 127 - tmpDisplayEvent->Event->GetData2()) * fPixPerNote )-tmpFromY;
			long tmpx2 = (int)( tmpDisplayEvent->x2 - tmpFromX );
			long tmpy2 = tmpy1 + (int)fPixPerNote;

			gdk_gc_set_foreground( tmpGC, colMidi );
			gdk_draw_rectangle( fBufferPianoRoll, tmpGC, TRUE,	
				tmpx1, tmpy1, tmpx2 - tmpx1, (int)fPixPerNote );

			gdk_gc_set_foreground( tmpGC, colSubGrid );
  		gdk_draw_line( fBufferPianoRoll, tmpGC,	tmpx1, tmpy1, tmpx1, tmpy2 );
  		gdk_draw_line( fBufferPianoRoll, tmpGC, tmpx1, tmpy1, tmpx2, tmpy1 );

			gdk_gc_set_foreground( tmpGC, colGrid );
  		gdk_draw_line( fBufferPianoRoll, tmpGC,	tmpx2, tmpy1, tmpx2, tmpy2 );
  		gdk_draw_line( fBufferPianoRoll, tmpGC,	tmpx2, tmpy2, tmpx1, tmpy2 );
		}
	}

	gdk_gc_set_function( tmpGC, GDK_XOR );              // draw selection
	gdk_gc_set_foreground( tmpGC, colSelection );				
	gdk_draw_rectangle( fBufferPianoRoll, tmpGC, TRUE,	
		(int)( fSequence->GetSelectionStart() / fTicksPerPix )-tmpFromX, 1,
		(int)(( fSequence->GetSelectionEnd() / fTicksPerPix ) -
			( fSequence->GetSelectionStart() / fTicksPerPix )), fHeight );	
	gdk_gc_set_function( tmpGC, GDK_COPY );
	gdk_gc_set_clip_rectangle( tmpGC, &aEvent->area );	// drawable selection
	gdk_draw_pixmap( tmpWnd, tmpGC, fBufferPianoRoll, 0, 0, 0, 0, fWindowWidth, fWindowHeight );
	gdk_gc_set_clip_rectangle( tmpGC,	NULL );           // go!
	gdk_gc_destroy( tmpGC );

	return TRUE;
}

//=============================================================================
// redraw scale area
// 14.09.2000 Adrian Meyer
//=============================================================================
bool TMvcPianoRoll::PianoRollScaleExpose( GtkWidget* aWidget, GdkEventExpose* aEvent )
{
	long cTextSpace = 30;	
	char* tmpString = new char[100];									// draw measure number

	if ( fBufferPianoRollScale == 0 )										// no window yet
		{	return false; }

	GdkGC* tmpGC = gdk_gc_new( aWidget->window );				// new graphic context
	gdk_gc_copy( tmpGC, aWidget->style->fg_gc[aWidget->state] );

	GdkDrawable* tmpWnd = aWidget->window;							// window to draw to

	long tmpWidth = aWidget->allocation.width - 1;			// width

	gdk_gc_set_foreground( tmpGC, colBackground );			// draw background
	gdk_draw_rectangle( fBufferPianoRollScale, tmpGC, TRUE,	0, 0, tmpWidth, fHeight );

	gdk_gc_set_foreground( tmpGC, colGrid );						// draw grid
	gdk_gc_set_line_attributes( tmpGC, 0, GDK_LINE_SOLID, GDK_CAP_NOT_LAST, GDK_JOIN_MITER );

	GdkFont* tmpFont = gdk_font_load( "-adobe-courier-medium-r-normal--11-80-100-100-m-60-iso8859-1" );

  for ( int i = 0; i<128; i++ )
	{	
		if ( i==61 )																			// color middle C (60)
		{
			gdk_gc_set_function( tmpGC, GDK_XOR );
			gdk_gc_set_foreground( tmpGC, colSelection );		
			gdk_draw_rectangle( fBufferPianoRollScale, tmpGC, TRUE,	
					1, fHeight - (int)( i*fPixPerNote + fPixPerNote/2 ),
					tmpWidth - cTextSpace, (int)(fPixPerNote+fPixPerNote/2));
			gdk_gc_set_function( tmpGC, GDK_COPY );
		}

		gdk_gc_set_foreground( tmpGC, colSubGrid );				// draw grid
		gdk_draw_line( fBufferPianoRollScale, tmpGC,
									 tmpWidth - cTextSpace, (int)(i*fPixPerNote),
									 tmpWidth, (int)(i*fPixPerNote) );

		gdk_gc_set_foreground( tmpGC, colGrid );					// draw grid

		switch (i%12)
		{
			case 1: case 3: case 6: case 8: case 10:        // draw black keys
				gdk_draw_line( fBufferPianoRollScale, tmpGC,
						1, fHeight - (int)( i*fPixPerNote+fPixPerNote/2 ),
						(tmpWidth - cTextSpace), fHeight - (int)( i*fPixPerNote+fPixPerNote/2 ) );
				
				gdk_draw_rectangle( fBufferPianoRollScale, tmpGC, TRUE,	
						1, fHeight - (int)( i*fPixPerNote + fPixPerNote ),
						(int)((tmpWidth - cTextSpace)*0.6), (int)(fPixPerNote));
			break;

			case 0: case 5:                                 // separators
				gdk_draw_line( fBufferPianoRollScale, tmpGC,
						1, fHeight - (int)( i*fPixPerNote ), tmpWidth - cTextSpace, fHeight - (int)( i*fPixPerNote ));
			break;
		}

		if (fPixPerNote>10)
		{
  		sprintf( tmpString, "%-2s%d", cMajorScale[ i % 12 ], ( i / 12 ) );
  		gdk_draw_string( fBufferPianoRollScale, tmpFont, tmpGC,
  			tmpWidth - cTextSpace + 3,
				fHeight - (int)(i*fPixPerNote + (fPixPerNote-8 )/ 2 ), tmpString );
		}
	}

	gdk_draw_line( fBufferPianoRollScale, tmpGC,
								 tmpWidth - cTextSpace, 0, tmpWidth - cTextSpace, fHeight );

	gdk_gc_set_clip_rectangle( tmpGC, &aEvent->area );	// drawable selection
	gdk_draw_pixmap( tmpWnd, tmpGC, fBufferPianoRollScale, 0, 0, 0, 0, tmpWidth, fHeight );
	gdk_gc_set_clip_rectangle( tmpGC,	NULL );           // go!

	gdk_gc_destroy( tmpGC );
	delete tmpString;

	return TRUE;
}

//=============================================================================
// redraw velocity area
// 05.09.2000 Adrian Meyer
//=============================================================================
bool TMvcPianoRoll::PianoRollVelocityExpose( GtkWidget* aWidget, GdkEventExpose* aEvent )
{
	if ( fBufferPianoRollVelocity == 0 )								// no window yet
	{
		Resize();                                         // try setting it
		if ( fBufferPianoRollVelocity == 0 ) {	return false; }
	}
	BuildEventList();

  long tmpHeight = fWindowVelocityHeight - 5;         // height

	GdkGC* tmpGC = gdk_gc_new( aWidget->window );				// new graphic context
	gdk_gc_copy( tmpGC, aWidget->style->fg_gc[aWidget->state] );

	GdkDrawable* tmpWnd = aWidget->window;							// window to draw to

	long tmpFromX = (int)fXAdjustment->value;						// draw from (top left corner)					

	gdk_gc_set_foreground( tmpGC, colBackground );			// draw background
	gdk_draw_rectangle( fBufferPianoRollVelocity, tmpGC, TRUE,	0, 0, fWidth, fWindowVelocityHeight );

	gdk_gc_set_foreground( tmpGC, colSubGrid );					// draw y grid
	gdk_gc_set_line_attributes( tmpGC, 0, GDK_LINE_SOLID, GDK_CAP_NOT_LAST, GDK_JOIN_MITER );

 	for ( long i=0; i<=5; i++ )
 	{			
		gdk_draw_line( fBufferPianoRollVelocity, tmpGC, 0, (int)(( tmpHeight / 4.0 ) * i + 2 ),
                   fWindowWidth, (int)(( tmpHeight / 4.0 ) * i + 2 ));
 	}

	for ( long i=1; i<=fMeasureCount + cCountMeasureTail; i++ )
	{
		long tmpBeatCount;
		long tmpTicksPerBeat;
		long x = (long)(fSequence->GetOffset( i, 1, 0 ) / fTicksPerPix );

		fSequence->GetTimeInformation( i, &tmpBeatCount, &tmpTicksPerBeat );

		for ( long j=0; j<tmpBeatCount; j++ )
		{
			long tmpx = (long)(x + (( j*tmpTicksPerBeat ) / fTicksPerPix ));
			
			if ( tmpx >= tmpFromX && tmpx <= ( tmpFromX+fWindowWidth ) )
			{
  			gdk_gc_set_foreground( tmpGC, colSubGrid );	  // draw x grid
  			gdk_draw_line( fBufferPianoRollVelocity, tmpGC, tmpx-tmpFromX, 3, tmpx-tmpFromX, tmpHeight + 2 );
			}
		}

		if ( x >= tmpFromX && x <= ( tmpFromX+fWindowWidth ) )
		{
  		gdk_gc_set_foreground( tmpGC, colGrid );				// draw grid
  		gdk_draw_line( fBufferPianoRollVelocity, tmpGC, x-tmpFromX, 3, x-tmpFromX, tmpHeight + 2 );
		}
	}

	gdk_gc_set_line_attributes( tmpGC, 2, GDK_LINE_SOLID, GDK_CAP_NOT_LAST, GDK_JOIN_MITER );
	gdk_gc_set_foreground( tmpGC, colMidi );

	if ( fEventList != 0 )
	{                                                   // draw velocity
		for ( long i = 0; i<(int)g_list_length( fEventList ); i++ )
		{
			sPianoRollEventList* tmpDisplayEvent = (sPianoRollEventList*)g_list_nth_data( fEventList, i );

			long tmpx = tmpDisplayEvent->x1 - tmpFromX;
			long tmpy = (long)( fPixPerValue * ( 127 - tmpDisplayEvent->Event->GetData3()) + 2 );

			gdk_gc_set_foreground( tmpGC, colMidi );
  		gdk_draw_line( fBufferPianoRollVelocity, tmpGC, tmpx, tmpy , tmpx, tmpHeight + 2 );
		}
	}

	gdk_gc_set_function( tmpGC, GDK_XOR );              // draw selection
	gdk_gc_set_foreground( tmpGC, colSelection );				
	gdk_draw_rectangle( fBufferPianoRollVelocity, tmpGC, TRUE,	
		(int)( fSequence->GetSelectionStart() / fTicksPerPix )-tmpFromX, 3,
		(int)(( fSequence->GetSelectionEnd() / fTicksPerPix ) -
			( fSequence->GetSelectionStart() / fTicksPerPix )), fWindowVelocityHeight - 6 );	
	gdk_gc_set_function( tmpGC, GDK_COPY );
	gdk_gc_set_clip_rectangle( tmpGC, &aEvent->area );	// drawable selection
	gdk_draw_pixmap( tmpWnd, tmpGC, fBufferPianoRollVelocity, 0, 0, 0, 0, fWindowWidth, fWindowVelocityHeight );
	gdk_gc_set_clip_rectangle( tmpGC,	NULL );           // go!
	gdk_gc_destroy( tmpGC );

	return TRUE;
}


//=============================================================================
// redraw velocity label area
// 14.02.2001 Adrian Meyer
//=============================================================================
bool TMvcPianoRoll::PianoRollVelocityLabelExpose( GtkWidget* aWidget, GdkEventExpose* aEvent )
{
	long cTextSpace = 30;	
	char* tmpString = new char[100];									  // draw velocity level

	if ( fBufferPianoRollVelocityLabel == 0 )						// no window yet
		{	return false; }

	GdkGC* tmpGC = gdk_gc_new( aWidget->window );				// new graphic context
	gdk_gc_copy( tmpGC, aWidget->style->fg_gc[aWidget->state] );
	GdkDrawable* tmpWnd = aWidget->window;							// window to draw to

	long tmpWidth = aWidget->allocation.width - 1;			// width
  long tmpHeight = fWindowVelocityHeight - 5;         // height

	gdk_gc_set_foreground( tmpGC, colBackground );			// draw background
	gdk_draw_rectangle( fBufferPianoRollVelocityLabel, tmpGC, TRUE,	0, 0, tmpWidth, fWindowVelocityHeight );


	gdk_gc_set_line_attributes( tmpGC, 0, GDK_LINE_SOLID, GDK_CAP_NOT_LAST, GDK_JOIN_MITER );

  float tmpResolution = (1.0*tmpHeight) / 16;					// max 8 pixel resulution
  float tmpFactor = 1;
	while ( tmpResolution > tmpFactor )	tmpFactor *= 2;	// find 2^?
	tmpResolution = tmpHeight / (tmpFactor);					  // resolution based on 2

	gdk_gc_set_foreground( tmpGC, colSubGrid );					// draw grid
  for ( int i = 1; i<tmpFactor; i++ )
  if ( i != (tmpFactor/2 ) )        									// no middle line
  	gdk_draw_line( fBufferPianoRollVelocityLabel, tmpGC, 1, (int)(i*tmpResolution + 2),
                   tmpWidth, (int)(i*tmpResolution + 2 ) );


	gdk_gc_set_foreground( tmpGC, colGrid );						// draw text
	if (( tmpHeight/3 ) > 8 )
	{
  	GdkFont* tmpFont = gdk_font_load( "-adobe-courier-medium-r-normal--11-80-100-100-m-60-iso8859-1" );
 		gdk_draw_string( fBufferPianoRollVelocityLabel, tmpFont, tmpGC,	tmpWidth - cTextSpace + 5, 8, "127" );
 		gdk_draw_string( fBufferPianoRollVelocityLabel, tmpFont, tmpGC,	tmpWidth - cTextSpace + 5, tmpHeight / 2 + 6, " 63" );
 		gdk_draw_string( fBufferPianoRollVelocityLabel, tmpFont, tmpGC,	tmpWidth - cTextSpace + 5, tmpHeight + 2 , "  0" );
	}
                                                      // draw grid
	gdk_draw_line( fBufferPianoRollVelocityLabel, tmpGC, 1, 2, tmpWidth - cTextSpace, 2 );
	gdk_draw_line( fBufferPianoRollVelocityLabel, tmpGC, 1, tmpHeight / 2 + 2 , tmpWidth - cTextSpace, tmpHeight / 2 + 2 );
	gdk_draw_line( fBufferPianoRollVelocityLabel, tmpGC, 1, tmpHeight + 2 , tmpWidth - cTextSpace, tmpHeight + 2 );

	gdk_gc_set_clip_rectangle( tmpGC, &aEvent->area );	// drawable selection
	gdk_draw_pixmap( tmpWnd, tmpGC, fBufferPianoRollVelocityLabel, 0, 0, 0, 0, tmpWidth, fHeight );
	gdk_gc_set_clip_rectangle( tmpGC,	NULL );           // go!

	gdk_gc_destroy( tmpGC );
	delete tmpString;

	return TRUE;
}

//=============================================================================
// gives the event the mouse is over
// 18.09.2000 Adrian Meyer
//=============================================================================
sPianoRollEventList* TMvcPianoRoll::MouseOverEvent( long x, long y )
{
	long tmpFromX = (int)fXAdjustment->value;
	long tmpFromY = (int)fYAdjustment->value;											
	
                                                      // search in displayed events
	for ( long i = 0; i<(int)g_list_length( fEventList ); i++ )
	{
		sPianoRollEventList* tmpSelectedEvent = (sPianoRollEventList*)g_list_nth_data( fEventList, i );

		long tmpx1 = tmpSelectedEvent->x1 - tmpFromX;			// apply coodinates to position
		long tmpy1 = (int)(( 127 - tmpSelectedEvent->Event->GetData2()) * fPixPerNote )-tmpFromY;
		long tmpx2 = (int)( tmpSelectedEvent->x2 - tmpFromX );
		long tmpy2 = tmpy1 + (int)fPixPerNote;

																											// mouse in the rectangle?
		if ( tmpx1 <= x && tmpx2>= x && tmpy1 <= y && tmpy2 >= y )
			{	return tmpSelectedEvent; }										// yep
	}

	return 0;																						// mouse not on an event
}

//=============================================================================
// starts with an operation at a given position
// 09.09.2000 Adrian Meyer
//=============================================================================
void TMvcPianoRoll::StartOperationPosition( long x, long y )
{
	fSelectedEvent =	MouseOverEvent( x, y );						// read event at position

																											// read scrolling window position
	long tmpFromX = (int)fXAdjustment->value;

	if ( fSelectedEvent == 0 )													// no event touched
	{
		fSelectionOperation = PR_CHANGE_SELECTION;				// selection of sequence is changed
   	fSequence->SetSelectionStart( GetOffsetOnGrid( ( x + tmpFromX ) * fTicksPerPix, true ));
	}
	else
	{
		long tmpx1 = fSelectedEvent->x1 - tmpFromX;				// apply coodinates to position
		long tmpx2 = (int)( fSelectedEvent->x2 - tmpFromX );

		float tmpPos = (100.00/( tmpx2-tmpx1 ))*(x-tmpx1);

		if ( tmpPos <= 25.00 )														// mouse in 1sr 25%
			{ fSelectionOperation = PR_CHANGE_OFFSET; }			// change offset of event

		if ( tmpPos > 25.00 && tmpPos < 75.00 )           // mouse in the middle 50%
			{ fSelectionOperation = PR_CHANGE_PITCH; }			// change pitch

		if ( tmpPos >= 75.00 ) 														// mouse over the last 25%
			{ fSelectionOperation = PR_CHANGE_DURATION; }		// -> operation duration
	}
}

//=============================================================================
// set the cursor in piano roll
// 18.09.2000 Adrian Meyer
//=============================================================================
void TMvcPianoRoll::SetCursor( long x, long y )
{
	long tmpFromX = (int)fXAdjustment->value;

	GdkCursor* tmpCursor = fEditCursor;									// "normal" cursor

	if (gtk_toggle_button_get_active( (GtkToggleButton*)FindWidget( "rboPianoRollEdit" )))
	{
		if ( fSelectedEvent != 0 )
		{
    	long tmpx1 = fSelectedEvent->x1 - tmpFromX;			// apply coodinates to position
    	long tmpx2 = (int)( fSelectedEvent->x2 - tmpFromX );

    	float tmpPos = (100.00/( tmpx2-tmpx1 ))*(x-tmpx1);

    	if ( tmpPos <= 25.00 ) { tmpCursor = fMeasureCursor; }
    	if ( tmpPos > 25.00 && tmpPos < 75.00 ){ tmpCursor = fPitchCursor; }
    	if ( tmpPos >= 75.00 ) { tmpCursor = fMeasureCursor; }

			if ( fSelectionOperation != PR_NONE )
			{
      	if ( fSelectionOperation == PR_CHANGE_OFFSET ) 	{ tmpCursor = fMeasureCursor; }
      	if ( fSelectionOperation == PR_CHANGE_PITCH )		{ tmpCursor = fPitchCursor; }
      	if ( fSelectionOperation == PR_CHANGE_DURATION ){ tmpCursor = fMeasureCursor; }
			}
		}
	}
	else
	{
	  tmpCursor = fDeleteCursor;              		      // delete cursor
	}

	gdk_window_set_cursor ( drwPianoRollMain->window, tmpCursor );
}

//=============================================================================
// mouse down in main view
// 18.09.2000 Adrian Meyer
//=============================================================================
void TMvcPianoRoll::MouseDown( long x, long y )
{
	if (gtk_toggle_button_get_active( (GtkToggleButton*)FindWidget( "rboPianoRollEdit" )))
	{
		StartOperationPosition( x, y );										// starting operation
	}
	else
	{
		if ( MouseOverEvent( x, y ) != 0 )                // start deleting events
		{
  		MouseOverEvent( x, y )->Event->GetOwner()->DeleteEvent(	MouseOverEvent( x, y )->Event );
  		gtk_widget_queue_draw( drwPianoRollMain );			
  		gtk_widget_queue_draw( FindWidget( "drwPianoRollMVelocity" ));			
		}
 		fSelectionOperation = PR_DELETE_EVENT;
	}
}

//=============================================================================
// mouse up in main view
// 09.09.2000 Adrian Meyer
//=============================================================================
void TMvcPianoRoll::MouseUp( long x, long y )
{
	long tmpFromX = (int)fXAdjustment->value;											


 	if ( fSelectionOperation == PR_CHANGE_SELECTION )		// set end of slection
 	{
   	fSequence->SetSelectionEnd( GetOffsetOnGrid( ( x + tmpFromX ) * fTicksPerPix, false ));
 	}

	if ( fSelectionOperation == PR_CHANGE_PITCH )				// pitch operation ends
	{
		if ( fSelectedEvent != 0 )																									
		{
			fSelectedEvent->Event->SetData2( fSelectedEvent->Pitch );
			if ( fSelectedEvent->Event->Ref != 0 )
			{
				fSelectedEvent->Event->Ref->SetData2( fSelectedEvent->Pitch );
			}
			gtk_widget_queue_draw( drwPianoRollMain );			
		}
	}

	if ( fSelectionOperation == PR_CHANGE_OFFSET )				// offset operation ends
	{
		if ( fSelectedEvent != 0 )																									
		{
      int tmpDelta = fSelectedEvent->Offset - fSelectedEvent->Event->GetOffset();

  		fSelectedEvent->Event->SetOffset( fSelectedEvent->Offset );
			if ( fSelectedEvent->Event->Ref != 0 )
			{
				fSelectedEvent->Event->Ref->SetOffset( fSelectedEvent->Event->Ref->GetOffset() + tmpDelta );
			}

			gtk_widget_queue_draw( drwPianoRollMain );			
		}
	}

	if ( fSelectionOperation == PR_CHANGE_DURATION )				// duration change operation
	{
		if ( fSelectedEvent != 0 )																									
		{
			if ( fSelectedEvent->Event->Ref != 0 )
			{
				fSelectedEvent->Event->Ref->SetOffset( fSelectedEvent->Event->GetOffset() + fSelectedEvent->Duration );
			}

			gtk_widget_queue_draw( drwPianoRollMain );			
		}
	}

 	fSelectionOperation = PR_NONE;											// reset operation
 	fSelectedEvent = 0;																	// no event selected
  gtk_widget_queue_draw( FindWidget( "drwPianoRollVelocity" ));
}

//=============================================================================
// mouse move in main view
// 18.09.2000 Adrian Meyer
//=============================================================================
void TMvcPianoRoll::MouseMove( long x, long y )
{
	long tmpFromX = (int)fXAdjustment->value;											
	long tmpFromY = (int)fYAdjustment->value;											
	long tmpx1 = 0, tmpy1 = 0, tmpx2 = 0, tmpy2 = 0;

	SetCursor( x, y );

	if ( fSelectionOperation == PR_CHANGE_SELECTION )
	{                                                   // end position on grid																											
		int tmpSelectionEnd = GetOffsetOnGrid( ( x + tmpFromX ) * fTicksPerPix, false );						
		if ( tmpSelectionEnd > fWidth * fTicksPerPix )		// more than max?
			{	tmpSelectionEnd = (int)(fWidth * fTicksPerPix); }	// correct it!

		if ( tmpSelectionEnd >= fSequence->GetSelectionStart() )
		{
			fSequence->SetSelectionEnd( tmpSelectionEnd );	// set selection end of sequence
		}
																											// scroll window?	
																											// in direction x ->
		if ( fXAdjustment->value < ( x - fWindowWidth + tmpFromX ) && fXAdjustment->value < fWidth - fWindowWidth )
		{
																											// increase value by 10th of mouse position
			fXAdjustment->value += ( (x + tmpFromX) - ( fXAdjustment->value + fWindowWidth )) / 5 ;
			if ( fXAdjustment->value > fWidth - fWindowWidth )		// if more than max
				{ fXAdjustment->value = fWidth - fWindowWidth; }		// correct to max
			gtk_adjustment_value_changed( fXAdjustment );					// set new position in x adjustment
		}
																											// in direction x <
		if ( fXAdjustment->value > ( x + tmpFromX ) && fXAdjustment->value > 0 )
		{
			fXAdjustment->value -= (fXAdjustment->value - x + tmpFromX ) / 5;

			if ( fXAdjustment->value < 0 )												// if less than 0
				{ fXAdjustment->value = 0; }												// correct to 0
			gtk_adjustment_value_changed( fXAdjustment );					// set new position in x adjustment
		}
	}
	else
	{
                                                      // other event at mouse position?
  	if ( fSelectedEvent != MouseOverEvent( x, y ) && fSelectionOperation == PR_NONE )		
  	{
  		fSelectedEvent = MouseOverEvent( x, y );	
  		if ( fSelectedEvent != 0 )                			// mouse over new event
  		{
    		tmpx1 = fSelectedEvent->x1 - tmpFromX;
    		tmpy1 = (int)(( 127 - fSelectedEvent->Event->GetData2()) * fPixPerNote )-tmpFromY;
    		tmpx2 = (int)( fSelectedEvent->x2 - tmpFromX );
    		tmpy2 = tmpy1 + (int)fPixPerNote;
    		DrawSelectedEvent( fSelectedEvent, tmpx1, tmpy1, tmpx2, tmpy2	);
  		}
  		else
  		{                                               // no event under mouse pointer
  			gtk_widget_queue_draw( drwPianoRollMain );			
  		}		
  	}
	}

	if ( fSelectionOperation == PR_DELETE_EVENT && MouseOverEvent( x, y ) != 0 )
	{
		MouseOverEvent( x, y )->Event->GetOwner()->DeleteEvent(	MouseOverEvent( x, y )->Event );
		gtk_widget_queue_draw( drwPianoRollMain );			
	}

	if ( fSelectedEvent != 0 )
	{
 		tmpx1 = fSelectedEvent->x1 - tmpFromX;
 		tmpy1 = (int)(( 127 - fSelectedEvent->Event->GetData2()) * fPixPerNote )-tmpFromY;
 		tmpx2 = (int)( fSelectedEvent->x2 - tmpFromX );
 		tmpy2 = tmpy1 + (int)fPixPerNote;
	}

	if ( fSelectionOperation == PR_CHANGE_PITCH )
	{
																											// don't EVER ask why! It's 1.30 am!!!
		DrawChangeFrame( fSelectedEvent, tmpx1, tmpy1, tmpx2, tmpy2, tmpx1,
			fPixPerNote - ( tmpFromY - (int)(((int)(tmpFromY/fPixPerNote))*fPixPerNote)) +
			(int)(((int)( y / fPixPerNote )) * fPixPerNote ) );
	}

	if ( fSelectionOperation == PR_CHANGE_OFFSET )
	{
//		cout << "changing offset " << x << ":" << y << endl;
    fSelectedEvent->Offset = GetOffsetOnGrid( fTicksPerPix * x, true );
    x = (int)( fSelectedEvent->Offset / fTicksPerPix );

		DrawChangeFrame( fSelectedEvent, tmpx1, tmpy1, tmpx2, tmpy2, x, tmpy2 - fPixPerNote );
	}

	if ( fSelectionOperation == PR_CHANGE_DURATION )
	{
//		cout << "changing duration " << x << ":" << y << endl;
//    fSelectedEvent->Duration = GetOffsetOnGrid((int)(( x - tmpx1 ) * fTicksPerPix ), true );
    fSelectedEvent->Duration = (int)(( x - tmpx1 ) * fTicksPerPix );
//    x = (int)( fSelectedEvent->Offset / fTicksPerPix );
		DrawChangeFrame( fSelectedEvent, tmpx1, tmpy1, x, tmpy2, tmpx1, tmpy2 - fPixPerNote );
	}
}
																											
//=============================================================================
// draw the change of the note
// 18.09.2000 Adrian Meyer
//=============================================================================
void TMvcPianoRoll::DrawChangeFrame( sPianoRollEventList* aEvent, long x1, long y1, long x2, long y2, long newx, long newy )
{
//	long tmpFromX = (long)fXAdjustment->value;											
	long tmpFromY = (long)fYAdjustment->value;											

	GdkPixmap* tmpBuffer = gdk_pixmap_new( drwPianoRollMain->window, fWindowWidth, fWindowHeight, -1 );
  GdkGC* tmpGC = gdk_gc_new( drwPianoRollMain->window );	
  gdk_gc_copy( tmpGC, drwPianoRollMain->style->fg_gc[drwPianoRollMain->state] );
  GdkDrawable* tmpWnd = drwPianoRollMain->window;	

  gdk_gc_set_function( tmpGC, GDK_COPY );
  gdk_draw_pixmap( tmpBuffer, tmpGC, fBufferPianoRoll, 0, 0, 0, 0, fWindowWidth, fWindowHeight );

	gdk_gc_set_foreground( tmpGC, colEventSelection );
 	gdk_draw_rectangle( tmpBuffer, tmpGC, TRUE,	x1, y1, x2 - x1, (int)fPixPerNote + 1 );

 	gdk_gc_set_foreground( tmpGC, colGrid );            // shadow of old event
 	gdk_draw_line( tmpBuffer, tmpGC,	x1, y1, x1, y2 );
 	gdk_draw_line( tmpBuffer, tmpGC, x1, y1, x2, y1 );
 	gdk_gc_set_foreground( tmpGC, colSubGrid );
 	gdk_draw_line( tmpBuffer, tmpGC,	x2, y1, x2, y2 );
 	gdk_draw_line( tmpBuffer, tmpGC,	x2, y2, x1, y2 );			

	fSelectedEvent->Pitch = (int)((fHeight - tmpFromY - newy ) / fPixPerNote ) - 1;

                                                      // text for note
	GdkFont* tmpFont = gdk_font_load( "-adobe-courier-medium-r-normal--11-80-100-100-m-60-iso8859-1" );
	char* tmpString = new char[200];

	sprintf( tmpString, "Measure:  %s", fSequence->GetMeasureBeatTick( fSelectedEvent->Offset ));

 	gdk_gc_set_foreground( tmpGC, colHint );      			// Text box background
	long tmpTextWidth = gdk_string_width( tmpFont, tmpString ) + 3;
	gdk_draw_rectangle( tmpBuffer, tmpGC, true,	newx, newy - 32, tmpTextWidth, 30 );
 	gdk_gc_set_foreground( tmpGC, colGrid );    			  // textbox frame
	gdk_draw_rectangle( tmpBuffer, tmpGC, false,	newx, newy - 32, tmpTextWidth, 30 );

	gdk_draw_string( tmpBuffer, tmpFont, tmpGC, newx+2, newy-13, tmpString );

	sprintf( tmpString, "Duration: %d.%.4d",
		(int)(fSelectedEvent->Duration / (fSequence->GetDeltaTimesType())),
		(int)(fSelectedEvent->Duration % (fSequence->GetDeltaTimesType())));
	gdk_draw_string( tmpBuffer, tmpFont, tmpGC, newx+2, newy-22, tmpString );

	sprintf( tmpString, "Pitch:    %-2s%d", cMajorScale[ fSelectedEvent->Pitch % 12 ], (int)fSelectedEvent->Pitch / 12 );
	gdk_draw_string( tmpBuffer, tmpFont, tmpGC, newx+2, newy-4, tmpString );
	delete tmpString;

  gdk_gc_set_function( tmpGC, GDK_XOR );
	gdk_gc_set_foreground( tmpGC, colGrid );						// new event
	gdk_draw_rectangle( tmpBuffer, tmpGC, true,	newx, newy, x2 - x1, (int)fPixPerNote );

  gdk_gc_set_function( tmpGC, GDK_COPY );
	gdk_draw_rectangle( tmpBuffer, tmpGC, false,	newx, newy, x2 - x1, (int)fPixPerNote );
																											
  gdk_gc_set_function( tmpGC, GDK_COPY );             // draw buffer to window
  gdk_draw_pixmap( tmpWnd, tmpGC, tmpBuffer, 0, 0, 0, 0, fWindowWidth, fWindowHeight );

  gdk_gc_destroy( tmpGC );														// free allocations
	gdk_pixmap_unref( tmpBuffer );
}

//=============================================================================
// draw selected note in piano roll
// 18.09.2000 Adrian Meyer
//=============================================================================
void TMvcPianoRoll::DrawSelectedEvent( sPianoRollEventList* aEvent, long x1, long y1, long x2, long y2 )
{
  GdkGC* tmpGC = gdk_gc_new( drwPianoRollMain->window );	
  gdk_gc_copy( tmpGC, drwPianoRollMain->style->fg_gc[drwPianoRollMain->state] );
  GdkDrawable* tmpWnd = drwPianoRollMain->window;	

  gdk_gc_set_function( tmpGC, GDK_COPY );
  gdk_draw_pixmap( tmpWnd, tmpGC, fBufferPianoRoll, 0, 0, 0, 0, fWindowWidth, fWindowHeight );

	if ( aEvent != 0 )																// draw selected event
	{
		gdk_gc_set_foreground( tmpGC, colEventSelection );
		gdk_draw_rectangle( tmpWnd, tmpGC, TRUE,	
			x1, y1, x2 - x1, (int)fPixPerNote);

		gdk_gc_set_foreground( tmpGC, colGrid );
		gdk_draw_line( tmpWnd, tmpGC,	x1, y1, x1, y2 );
		gdk_draw_line( tmpWnd, tmpGC, x1, y1, x2, y1 );

		gdk_gc_set_foreground( tmpGC, colSubGrid );
		gdk_draw_line( tmpWnd, tmpGC,	x2, y1, x2, y2 );
		gdk_draw_line( tmpWnd, tmpGC,	x2, y2, x1, y2 );			
  }

  gdk_gc_destroy( tmpGC );
}

//=============================================================================
// read offset on grid
// 14.09.2000 Adrian Meyer
//=============================================================================
long TMvcPianoRoll::GetOffsetOnGrid( long aOffset, bool aRoundDown )
{
	long tmpMeasure; long tmpBeat; long tmpTick;
	long tmpBeatCount; long tmpTicksPerBeat;

	if (gtk_toggle_button_get_active( (GtkToggleButton*)FindWidget( "rboPianoRollSnapMeasure" )))
	{
		fSequence->GetMeasureBeatTick( aOffset, &tmpMeasure, &tmpBeat, &tmpTick );
		if ( aRoundDown )																	// round down
		{	return fSequence->GetOffset( tmpMeasure, 1, 0 ); }
		else																							// round up
		{	return fSequence->GetOffset( tmpMeasure + 1, 1, 0 ) - 1; }
	}	

	if (gtk_toggle_button_get_active( (GtkToggleButton*)FindWidget( "rboPianoRollSnapBeat" )))
	{
		fSequence->GetMeasureBeatTick( aOffset, &tmpMeasure, &tmpBeat, &tmpTick );
		if ( aRoundDown )																	// round down
		{
  		fSequence->GetTimeInformation( tmpMeasure, &tmpBeatCount, &tmpTicksPerBeat );
			return fSequence->GetOffset( tmpMeasure, tmpBeat, 0 );
		}
		else
		{
  		fSequence->GetTimeInformation( tmpMeasure, &tmpBeatCount, &tmpTicksPerBeat );
			return fSequence->GetOffset( tmpMeasure, tmpBeat, tmpTicksPerBeat - 1 );
		}
	}	

	if (gtk_toggle_button_get_active( (GtkToggleButton*)FindWidget( "rboPianoRollUserSnap" )))
  {
		fSequence->GetMeasureBeatTick( aOffset, &tmpMeasure, &tmpBeat, &tmpTick );
    long tmpOffset = fSequence->GetOffset( tmpMeasure, 1, 0 );
    tmpOffset += ( aOffset - tmpOffset ) - ( aOffset - tmpOffset ) % fSequence->GetGrid();
//    long tmpOffset = ( aOffset ) - ( aOffset ) % fSequence->GetGrid();

    return tmpOffset;
  }

	return aOffset;
}

//=============================================================================
// scroll piano roll
// 14.09.2000 Adrian Meyer
//=============================================================================
void TMvcPianoRoll::Scroll( void )
{
	gtk_widget_queue_draw( drwPianoRollMain );
	gtk_widget_queue_draw( FindWidget( "drwPianoRollVelocity" ));
	gtk_widget_queue_draw( FindWidget( "drwPianoRollController" ));
}

//=============================================================================
// reset the scale zoom
// 18.02.2001 Adrian Meyer
//=============================================================================
void TMvcPianoRoll::ResetZoom()
{
																											// offset limits in ticks
	long tmpFromOffset = (int)( fTicksPerPix * (int)fXAdjustment->value );
	long tmpToOffset   = (int)( fTicksPerPix * ( fWindowWidth + (int)fXAdjustment->value ));

  short tmpFromScale  =  128;													// scale limits in notes
  short tmpToScale  =  -1;

  for ( int i = 0; i<fSequence->GetTrackCount(); i++ )// got through tracks
  if ( fSequence->GetTrack(i)->GetSelected() )
  {
    TMidiTrack* tmpTrack = fSequence->GetTrack(i);    // selected track
    TMidiEvent* tmpEvent = tmpTrack->GetEvent(0);			// checked event

    while ( tmpEvent )
    {
      if ( tmpEvent->GetOffset() >= tmpFromOffset &&  // check offset
           tmpEvent->GetOffset() <= tmpToOffset )

  		if ( ((tmpEvent->GetData1())&0xF0)==cESNoteOn ) // only notes on

      if ( tmpEvent->GetData2() < tmpFromScale ) tmpFromScale = tmpEvent->GetData2();
      if ( tmpEvent->GetData2() > tmpToScale ) tmpToScale = tmpEvent->GetData2();

      tmpEvent = (TMidiEvent*)tmpEvent->Next;
    }
  }

  if ( tmpFromScale == 128 ) tmpFromScale = 50;				// check lower limit
  if ( tmpToScale == -1 ) tmpToScale = 75;						// check upper limit

																											// reverse engeneer scale factor (1-50)
  int tmpScale = (int)(( tmpToScale - tmpFromScale - cXMinNotesCount ) /
                 (( 128-cXMinNotesCount ) / 99 )) + 1;

  tmpScale++;																					// go one higher
  if ( tmpScale < 1 ) tmpScale = 1;										// check limits
  if ( tmpScale > 50 ) tmpScale = 50;

  gtk_adjustment_set_value ( gtk_range_get_adjustment(
    GTK_RANGE( FindWidget(	"sclPianoRollScaleZoom" ))), tmpScale );

  float tmpCenter =
    fHeight - fWindowHeight -													// scale from bottom up
    (( fHeight - fWindowHeight ) / 128.0 ) *					// pix per note
    (( tmpToScale - tmpFromScale + 1 ) / 2.0 + tmpFromScale ); // middle note

  gtk_adjustment_set_value ( fYAdjustment, tmpCenter );
}


//=============================================================================
// clear list with drawing points
// 19.02.2001 Adrian Meyer
//=============================================================================
void TMvcPianoRoll::ClearVelocityDrawPointList( void )
{
  if ( fVelocityDrawPointList )
  {
    sVelocityDrawPointList* tmpVelocityDrawPointList;
    while ( fVelocityDrawPointList->Next )
    {
      tmpVelocityDrawPointList = fVelocityDrawPointList;
      fVelocityDrawPointList = fVelocityDrawPointList->Next;
      delete tmpVelocityDrawPointList;
    }
  }
  fVelocityDrawPointList = 0;

  if ( !fVelocityDisplayList ) return;							// List display empty

  sVelocityDrawPointList* tmpVelocityDisplayList;
  while ( fVelocityDisplayList->Next )
  {
    tmpVelocityDisplayList = fVelocityDisplayList;
    fVelocityDisplayList = fVelocityDisplayList->Next;
    delete tmpVelocityDisplayList;
  }
  fVelocityDisplayList = 0;
}

//=============================================================================
// add point to velocity draw
// 19.02.2001 Adrian Meyer
//=============================================================================
void TMvcPianoRoll::AddVelocityDrawPoint( long x, long y )
{
                                                      // add new point on front
  sVelocityDrawPointList* tmpVelocityDrawPointList = new sVelocityDrawPointList;
  tmpVelocityDrawPointList->Next = fVelocityDrawPointList;
  fVelocityDrawPointList = tmpVelocityDrawPointList;
  fVelocityDrawPointList->x = x;

  if ( y < 2 ) fVelocityDrawPointList->y = 2; else    // check y limit
  if ( y > fWindowVelocityHeight - 3 ) fVelocityDrawPointList->y = fWindowVelocityHeight - 3; else
  fVelocityDrawPointList->y = y;

	if ( fVelocityDisplayList )                         // delete old display list
  {
    sVelocityDrawPointList* tmpVelocityDisplayList;
    while ( fVelocityDisplayList->Next )
    {
      tmpVelocityDisplayList = fVelocityDisplayList;
      fVelocityDisplayList = fVelocityDisplayList->Next;
      delete tmpVelocityDisplayList;
    }
    fVelocityDisplayList = 0;
  }
  																										// correct overlying lines
  sVelocityDrawPointList* tmpPoint = 0;
  sVelocityDrawPointList* tmpMinPoint = new sVelocityDrawPointList;
  tmpMinPoint->x = fVelocityDrawPointList->x;					// min point
  tmpMinPoint->y = fVelocityDrawPointList->y;
  tmpMinPoint->Next = 0;
  sVelocityDrawPointList* tmpMaxPoint = tmpMinPoint;  // max point

  tmpVelocityDrawPointList = fVelocityDrawPointList;  // old list

  if ( tmpVelocityDrawPointList )
  {
    while ( (tmpVelocityDrawPointList->Next) )        // go through it
    {
      tmpVelocityDrawPointList = tmpVelocityDrawPointList->Next;

      if ( tmpVelocityDrawPointList->x > tmpMaxPoint->x ) // check max
      {
        tmpMaxPoint->Next = new sVelocityDrawPointList; // add point after
        tmpMaxPoint->Next->x = tmpVelocityDrawPointList->x;
        tmpMaxPoint->Next->y = tmpVelocityDrawPointList->y;
        tmpMaxPoint->Next->Next = 0;
        tmpMaxPoint = tmpMaxPoint->Next;
      }

      if ( tmpVelocityDrawPointList->x < tmpMinPoint->x ) // check min
      {
        tmpPoint = tmpMinPoint;
        tmpMinPoint = new sVelocityDrawPointList;			// add point before
        tmpMinPoint->x = tmpVelocityDrawPointList->x;
        tmpMinPoint->y = tmpVelocityDrawPointList->y;
        tmpMinPoint->Next = tmpPoint;
      }
    }

    fVelocityDisplayList = tmpMinPoint;               // new list
  }
}

//=============================================================================
// mouse down in velocity window
// 19.02.2001 Adrian Meyer
//=============================================================================
void TMvcPianoRoll::VelocityMouseDown( long x, long y )
{
  if ( fMouseDownVelocity ) return;
  fMouseDownVelocity = true;
  ClearVelocityDrawPointList( );
  AddVelocityDrawPoint( x, y );
}

//=============================================================================
// mouse up in velocity window
// 19.02.2001 Adrian Meyer
//=============================================================================
void TMvcPianoRoll::VelocityMouseUp( long x, long y )
{
  if ( !fMouseDownVelocity ) return;
  fMouseDownVelocity = false;													// mouse up
  AddVelocityDrawPoint( x, y );                       // add last point
  ApplyVelocityChange( );								      				// apply changes
  ClearVelocityDrawPointList( );                      // clear list
																											// remove change line
  gtk_widget_queue_draw( FindWidget( "drwPianoRollVelocity" ));
}

//=============================================================================
// mouse move in velocity window
// 19.02.2001 Adrian Meyer
//=============================================================================
void TMvcPianoRoll::VelocityMouseMove( long x, long y )
{
  if ( !fMouseDownVelocity ) return;							    // mouse not down
  AddVelocityDrawPoint( x, y );                       // add point
  DrawVelocityChange( );                              // draw change line
}

//=============================================================================
// draw change line for new velocities
// 20.02.2001 Adrian Meyer
//=============================================================================
void TMvcPianoRoll::DrawVelocityChange( void )
{
	GtkWidget* tmpWidget = FindWidget( "drwPianoRollVelocity" );
	GdkPixmap* tmpBuffer = gdk_pixmap_new( tmpWidget->window, fWindowWidth, fWindowVelocityHeight, -1 );
  GdkGC* tmpGC = gdk_gc_new( tmpWidget->window );	
  gdk_gc_copy( tmpGC, tmpWidget->style->fg_gc[tmpWidget->state] );
  GdkDrawable* tmpWnd = tmpWidget->window;	

  gdk_gc_set_function( tmpGC, GDK_COPY );
  gdk_draw_pixmap( tmpBuffer, tmpGC, fBufferPianoRollVelocity, 0, 0, 0, 0, fWindowWidth, fWindowVelocityHeight );

  if ( fVelocityDisplayList )											  	// draw line
  {
  	gdk_gc_set_foreground( tmpGC, colEventSelection );
  	gdk_gc_set_line_attributes( tmpGC, 2, GDK_LINE_SOLID, GDK_CAP_NOT_LAST, GDK_JOIN_MITER );

    sVelocityDrawPointList* tmpVelocityDisplayList = fVelocityDisplayList->Next;
    if ( tmpVelocityDisplayList )
      while ( tmpVelocityDisplayList->Next )
      {
      	gdk_draw_line( tmpBuffer, tmpGC,							// draw vector
          tmpVelocityDisplayList->x,
          tmpVelocityDisplayList->y,
          tmpVelocityDisplayList->Next->x,
          tmpVelocityDisplayList->Next->y );

        tmpVelocityDisplayList = tmpVelocityDisplayList->Next;
      }
  }

  gdk_draw_pixmap( tmpWnd, tmpGC, tmpBuffer, 0, 0, 0, 0, fWindowWidth, fWindowVelocityHeight );
  gdk_gc_destroy( tmpGC );														// free allocations
	gdk_pixmap_unref( tmpBuffer );

}

//=============================================================================
// apply changes on velocity
// 20.02.2001 Adrian Meyer
//=============================================================================
void TMvcPianoRoll::ApplyVelocityChange( void )
{
  if (!fVelocityDisplayList) return;									// nothing to do

	long tmpFromX = (long)fXAdjustment->value;				  // offset of scrolling
																											// go through displayed events
 	for ( long i = 0; i<(int)g_list_length( fEventList ); i++ )
 	{
 		sPianoRollEventList* tmpEvent = (sPianoRollEventList*)g_list_nth_data( fEventList, i );

																											// min and max point
    sVelocityDrawPointList* tmpMinPoint = fVelocityDisplayList;
    sVelocityDrawPointList* tmpMaxPoint = fVelocityDisplayList;
    while ( tmpMaxPoint->Next ) tmpMaxPoint = tmpMaxPoint->Next;

																											// note offset in min && max?
		if (( tmpEvent->Event->GetOffset() > ( tmpMinPoint->x + tmpFromX ) * fTicksPerPix ) &&
        ( tmpEvent->Event->GetOffset() < ( tmpMaxPoint->x + tmpFromX ) * fTicksPerPix ))
    {
      sVelocityDrawPointList* tmpFromPoint = tmpMinPoint;
      sVelocityDrawPointList* tmpPoint = tmpMinPoint;
      sVelocityDrawPointList* tmpToPoint = 0;

      while ( tmpPoint )															// find closest point to the left
      {
        if ( tmpEvent->Event->GetOffset() > ( tmpPoint->x + tmpFromX ) * fTicksPerPix )
          tmpFromPoint = tmpPoint;
				else
					break;
        tmpPoint = tmpPoint->Next;
      }

      while ( tmpPoint )															// find closest point to the right
      {
        if ( tmpEvent->Event->GetOffset() < ( tmpPoint->x + tmpFromX ) * fTicksPerPix )
        {
          tmpToPoint = tmpPoint;
          break;
        }
        tmpPoint = tmpPoint->Next;
      }

		  long tmpHeight = fWindowVelocityHeight - 5;			// height of window
      																								// let's do some linear math!!
      double tmpFactor = ( tmpToPoint->y - tmpFromPoint->y ) / ( tmpToPoint->x - tmpFromPoint->x );
      long tmpEventX = (long)( tmpEvent->Event->GetOffset() / fTicksPerPix ) - tmpFromX;
      double tmpVelocity = (( tmpFromPoint->y ) + tmpFactor * ( tmpEventX - tmpFromPoint->x )) - 2;

																											// get 0-127 scale
      tmpVelocity = 127 - ( 127.0 / ( tmpHeight )) * tmpVelocity;

      tmpEvent->Event->SetData3( (short)tmpVelocity );// change velovity
    }
 	}
  gtk_widget_queue_draw( FindWidget( "drwPianoRollVelocity" ));
}

//=============================================================================
// time zoom changed
// 05.09.2000 Adrian Meyer
//=============================================================================
void PianoRollTimeZoomChanged( GtkAdjustment *adjustment, gpointer user_data )
{
	TMvcPianoRoll* tmpMvcPianoRoll = (TMvcPianoRoll*)user_data;
  tmpMvcPianoRoll->Resize();
}

//=============================================================================
// redraw area
// 05.09.2000 Adrian Meyer
//=============================================================================
bool PianoRollExposeHook( GtkWidget *widget, GdkEventExpose *event, gpointer user_data )
{
	TMvcPianoRoll* tmpMvcPianoRoll = (TMvcPianoRoll*)user_data;
  return tmpMvcPianoRoll->PianoRollExpose( widget, event );
}

//=============================================================================
// redraw scale area
// 14.09.2000 Adrian Meyer
//=============================================================================
bool PianoRollScaleExposeHook( GtkWidget *widget, GdkEventExpose *event, gpointer user_data )
{
	TMvcPianoRoll* tmpMvcPianoRoll = (TMvcPianoRoll*)user_data;
  return tmpMvcPianoRoll->PianoRollScaleExpose( widget, event );
}

//=============================================================================
// redraw velocity label
// 14.02.2001 Adrian Meyer
//=============================================================================
bool PianoRollVelocityLabelExposeHook( GtkWidget *widget, GdkEventExpose *event, gpointer user_data )
{
	TMvcPianoRoll* tmpMvcPianoRoll = (TMvcPianoRoll*)user_data;
  return tmpMvcPianoRoll->PianoRollVelocityLabelExpose( widget, event );
}

//=============================================================================
// redraw velocity area
// 14.02.2001 Adrian Meyer
//=============================================================================
bool PianoRollVelocityExposeHook( GtkWidget *widget, GdkEventExpose *event, gpointer user_data )
{
	TMvcPianoRoll* tmpMvcPianoRoll = (TMvcPianoRoll*)user_data;
  return tmpMvcPianoRoll->PianoRollVelocityExpose( widget, event );
}

//=============================================================================
// size change of area
// 05.09.2000 Adrian Meyer
//=============================================================================
void PianoRollSizeRequest( GtkWidget *widget, GtkRequisition *requisition, gpointer user_data )
{
	TMvcPianoRoll* tmpMvcPianoRoll = (TMvcPianoRoll*)user_data;
  tmpMvcPianoRoll->Resize();
}

//=============================================================================
// mouse down in main view
// 09.09.2000 Adrian Meyer
//=============================================================================
bool PianoRollMouseDown( GtkWidget *widget, GdkEventButton *event, gpointer user_data)
{
	TMvcPianoRoll* tmpMvcPianoRoll = (TMvcPianoRoll*)user_data;
	tmpMvcPianoRoll->MouseDown( event->x, event->y );
	return true;
}

//=============================================================================
// mouse up in main view
// 09.09.2000 Adrian Meyer
//=============================================================================
bool PianoRollMouseUp( GtkWidget *widget, GdkEventButton *event, gpointer user_data)
{
	TMvcPianoRoll* tmpMvcPianoRoll = (TMvcPianoRoll*)user_data;
	tmpMvcPianoRoll->MouseUp( event->x, event->y );
	return true;
}

//=============================================================================
// mouse move in main view
// 09.09.2000 Adrian Meyer
//=============================================================================
bool PianoRollMouseMove( GtkWidget *widget, GdkEventMotion *event, gpointer user_data)
{
	TMvcPianoRoll* tmpMvcPianoRoll = (TMvcPianoRoll*)user_data;
	tmpMvcPianoRoll->MouseMove( event->x, event->y );
	return true;
}

//=============================================================================
// mouse move in main view
// 14.09.2000 Adrian Meyer
//=============================================================================
void PianoRollScroll( GtkAdjustment *adjustment, gpointer user_data )
{
	TMvcPianoRoll* tmpMvcPianoRoll = (TMvcPianoRoll*)user_data;
	tmpMvcPianoRoll->Scroll();
}

//=============================================================================
// mouse move in main view
// 18.02.2001 Adrian Meyer
//=============================================================================
void PianoRollResetZoomClicked( GtkWidget* aWidget, gpointer user_data)
{
	TMvcPianoRoll* tmpMvcPianoRoll = (TMvcPianoRoll*)user_data;
	tmpMvcPianoRoll->ResetZoom();
}

//=============================================================================
// mouse down in velocity window
// 19.02.2001 Adrian Meyer
//=============================================================================
bool PianoRollVelocityMouseDown( GtkWidget *widget, GdkEventButton *event, gpointer user_data)
{
	TMvcPianoRoll* tmpMvcPianoRoll = (TMvcPianoRoll*)user_data;
	tmpMvcPianoRoll->VelocityMouseDown( event->x, event->y );
	return true;
}

//=============================================================================
// mouse up in velocity window
// 19.02.2001 Adrian Meyer
//=============================================================================
bool PianoRollVelocityMouseUp( GtkWidget *widget, GdkEventButton *event, gpointer user_data)
{
	TMvcPianoRoll* tmpMvcPianoRoll = (TMvcPianoRoll*)user_data;
	tmpMvcPianoRoll->VelocityMouseUp( event->x, event->y );
	return true;
}

//=============================================================================
// mouse move in velocity window
// 19.02.2001 Adrian Meyer
//=============================================================================
bool PianoRollVelocityMouseMove( GtkWidget *widget, GdkEventMotion *event, gpointer user_data)
{
	TMvcPianoRoll* tmpMvcPianoRoll = (TMvcPianoRoll*)user_data;
	tmpMvcPianoRoll->VelocityMouseMove( event->x, event->y );
	return true;
}

//=============================================================================
// view user snap properties
// 20.02.2001 Adrian Meyer
//=============================================================================
void ViewUserSnapProperties( GtkWidget* aWidget, gpointer user_data )
{
  TMvcPianoRoll* tmpPianoRoll = ((TMvcPianoRoll*)user_data );
  if ( gtk_toggle_button_get_active(( GtkToggleButton*) aWidget ))
  	tmpPianoRoll->ShowUserSnapProperties();	
}

//=============================================================================
// display user snap dialog
// 20.02.2001 Adrian Meyer
//=============================================================================
void TMvcPianoRoll::ShowUserSnapProperties()
{
	fUserSnapProperties = new TMvcUserSnapProperties( fSequence );
	fUserSnapProperties->LoadLanguageFile( GetLanguageFileName() );
}

//=============================================================================
// redraw controller area
// 26.02.2001 Adrian Meyer
//=============================================================================
bool PianoRollControllerExposeHook( GtkWidget *widget, GdkEventExpose *event, gpointer user_data )
{
	TMvcPianoRoll* tmpMvcPianoRoll = (TMvcPianoRoll*)user_data;
  return tmpMvcPianoRoll->PianoRollControllerExpose( widget, event );
}

//=============================================================================
// redraw controller area
// 01.03.2001 Adrian Meyer
//=============================================================================
bool TMvcPianoRoll::PianoRollControllerExpose( GtkWidget* aWidget, GdkEventExpose* aEvent )
{
	if ( fBufferPianoRollController == 0 )							// no window yet
	{
		Resize();                                         // try setting it
		if ( fBufferPianoRollController == 0 ) {	return false; }
	}
	BuildEventList();

  long tmpHeight = fWindowVelocityHeight - 5;         // height

	GdkGC* tmpGC = gdk_gc_new( aWidget->window );				// new graphic context
	gdk_gc_copy( tmpGC, aWidget->style->fg_gc[aWidget->state] );

	GdkDrawable* tmpWnd = aWidget->window;							// window to draw to

	long tmpFromX = (int)fXAdjustment->value;						// draw from (top left corner)					

	gdk_gc_set_foreground( tmpGC, colBackground );			// draw background
	gdk_draw_rectangle( fBufferPianoRollController, tmpGC, TRUE,	0, 0, fWidth, fWindowVelocityHeight );

	gdk_gc_set_foreground( tmpGC, colSubGrid );					// draw y grid
	gdk_gc_set_line_attributes( tmpGC, 0, GDK_LINE_SOLID, GDK_CAP_NOT_LAST, GDK_JOIN_MITER );

 	for ( long i=0; i<=5; i++ )
 	{			
		gdk_draw_line( fBufferPianoRollController, tmpGC, 0, (int)(( tmpHeight / 4.0 ) * i + 2 ),
                   fWindowWidth, (int)(( tmpHeight / 4.0 ) * i + 2 ));
 	}

	for ( long i=1; i<=fMeasureCount + cCountMeasureTail; i++ )
	{
		long tmpBeatCount;
		long tmpTicksPerBeat;
		long x = (long)(fSequence->GetOffset( i, 1, 0 ) / fTicksPerPix );

		fSequence->GetTimeInformation( i, &tmpBeatCount, &tmpTicksPerBeat );

		for ( long j=0; j<tmpBeatCount; j++ )
		{
			long tmpx = (long)(x + (( j*tmpTicksPerBeat ) / fTicksPerPix ));
			
			if ( tmpx >= tmpFromX && tmpx <= ( tmpFromX+fWindowWidth ) )
			{
  			gdk_gc_set_foreground( tmpGC, colSubGrid );	  // draw x grid
  			gdk_draw_line( fBufferPianoRollController, tmpGC, tmpx-tmpFromX, 3, tmpx-tmpFromX, tmpHeight + 2 );
			}
		}

		if ( x >= tmpFromX && x <= ( tmpFromX+fWindowWidth ) )
		{
  		gdk_gc_set_foreground( tmpGC, colGrid );				// draw grid
  		gdk_draw_line( fBufferPianoRollController, tmpGC, x-tmpFromX, 3, x-tmpFromX, tmpHeight + 2 );
		}
	}

	gdk_gc_set_line_attributes( tmpGC, 2, GDK_LINE_SOLID, GDK_CAP_NOT_LAST, GDK_JOIN_MITER );
	gdk_gc_set_foreground( tmpGC, colMidi );

	if ( fControllerList != 0 )
	{                                                   // draw controller
		long tmpLastx = 0;																// last values
		long tmpLasty = ((sPianoRollControllerList*)g_list_nth_data( fControllerList, 0 ))->y;
		long tmpx = 0;
		long tmpy = 0;

		for ( long i = 0; i<(int)g_list_length( fControllerList ); i++ )
		{
			sPianoRollControllerList* tmpControllerEvent = (sPianoRollControllerList*)g_list_nth_data( fControllerList, i );

			tmpx = tmpControllerEvent->x - tmpFromX;
			tmpy = tmpControllerEvent->y;

			gdk_draw_line( fBufferPianoRollController, tmpGC, tmpLastx, tmpLasty, tmpx, tmpLasty );
			gdk_draw_line( fBufferPianoRollController, tmpGC, tmpx, tmpLasty, tmpx, tmpy );

			tmpLastx = tmpx;
			tmpLasty = tmpy;
		}

		gdk_draw_line( fBufferPianoRollController, tmpGC, tmpx, tmpLasty, fWindowWidth, tmpLasty );
	}

	gdk_gc_set_function( tmpGC, GDK_XOR );              // draw selection
	gdk_gc_set_foreground( tmpGC, colSelection );				
	gdk_draw_rectangle( fBufferPianoRollController, tmpGC, TRUE,	
		(int)( fSequence->GetSelectionStart() / fTicksPerPix )-tmpFromX, 3,
		(int)(( fSequence->GetSelectionEnd() / fTicksPerPix ) -
			( fSequence->GetSelectionStart() / fTicksPerPix )), fWindowVelocityHeight - 6 );	
	gdk_gc_set_function( tmpGC, GDK_COPY );
	gdk_gc_set_clip_rectangle( tmpGC, &aEvent->area );	// drawable selection
	gdk_draw_pixmap( tmpWnd, tmpGC, fBufferPianoRollController, 0, 0, 0, 0, fWindowWidth, fWindowVelocityHeight );
	gdk_gc_set_clip_rectangle( tmpGC,	NULL );           // go!
	gdk_gc_destroy( tmpGC );

	return TRUE;
}
